# vim:syntax=yaml
---
{%- from "acme/map.jinja" import acme with context %}
pkic-install:
  file.managed:
    - name: /etc/acme/pkic.py
    - template: jinja
    - source: salt://acme/pkic.py.j2
    - mode: 755

pkic-run:
  cmd.run:
    - name: /etc/acme/pkic.py
    - env:
      - URL: '{{ acme.provider.pki.url }}'
      - DOMAINS: '{{ acme.domains|join(',') }}'
      - FULLCERTFILE: '{{ acme.fullcertfile }}'
      - KEYFILE: '{{ acme.keyfile }}'
      - USERNAME: '{{ acme.provider.pki.username }}'
      - PASSWORD: '{{ acme.provider.pki.password }}'
    - require:
      - file: pkic-install
